Skip to main content
PATCH
/
users
/
pwreset
Reset Password
curl --request PATCH \
  --url https://api.crosoftware.com/v0/users/pwreset \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "new_password": "<string>",
  "recaptcha": "<string>",
  "token": "<string>"
}
'
import requests

url = "https://api.crosoftware.com/v0/users/pwreset"

payload = {
"new_password": "<string>",
"recaptcha": "<string>",
"token": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({new_password: '<string>', recaptcha: '<string>', token: '<string>'})
};

fetch('https://api.crosoftware.com/v0/users/pwreset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-api-version
string

Version identifier (date format).

Body

application/json

User password reset new password query parameters.

new_password
string
required

New password.

recaptcha
string
required

Recaptcha answer.

token
string
required

Reset token.

Response

200 - application/json

Success

User password successfully reset response body.